package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TkCommonTextExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public TkCommonTextExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPzKeyIsNull() {
            addCriterion("pz_key is null");
            return (Criteria) this;
        }

        public Criteria andPzKeyIsNotNull() {
            addCriterion("pz_key is not null");
            return (Criteria) this;
        }

        public Criteria andPzKeyEqualTo(String value) {
            addCriterion("pz_key =", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyNotEqualTo(String value) {
            addCriterion("pz_key <>", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyGreaterThan(String value) {
            addCriterion("pz_key >", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyGreaterThanOrEqualTo(String value) {
            addCriterion("pz_key >=", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyLessThan(String value) {
            addCriterion("pz_key <", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyLessThanOrEqualTo(String value) {
            addCriterion("pz_key <=", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyLike(String value) {
            addCriterion("pz_key like", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyNotLike(String value) {
            addCriterion("pz_key not like", value, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyIn(List<String> values) {
            addCriterion("pz_key in", values, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyNotIn(List<String> values) {
            addCriterion("pz_key not in", values, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyBetween(String value1, String value2) {
            addCriterion("pz_key between", value1, value2, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPzKeyNotBetween(String value1, String value2) {
            addCriterion("pz_key not between", value1, value2, "pzKey");
            return (Criteria) this;
        }

        public Criteria andPaNameIsNull() {
            addCriterion("pa_name is null");
            return (Criteria) this;
        }

        public Criteria andPaNameIsNotNull() {
            addCriterion("pa_name is not null");
            return (Criteria) this;
        }

        public Criteria andPaNameEqualTo(String value) {
            addCriterion("pa_name =", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameNotEqualTo(String value) {
            addCriterion("pa_name <>", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameGreaterThan(String value) {
            addCriterion("pa_name >", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameGreaterThanOrEqualTo(String value) {
            addCriterion("pa_name >=", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameLessThan(String value) {
            addCriterion("pa_name <", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameLessThanOrEqualTo(String value) {
            addCriterion("pa_name <=", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameLike(String value) {
            addCriterion("pa_name like", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameNotLike(String value) {
            addCriterion("pa_name not like", value, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameIn(List<String> values) {
            addCriterion("pa_name in", values, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameNotIn(List<String> values) {
            addCriterion("pa_name not in", values, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameBetween(String value1, String value2) {
            addCriterion("pa_name between", value1, value2, "paName");
            return (Criteria) this;
        }

        public Criteria andPaNameNotBetween(String value1, String value2) {
            addCriterion("pa_name not between", value1, value2, "paName");
            return (Criteria) this;
        }

        public Criteria andPzTextIsNull() {
            addCriterion("pz_text is null");
            return (Criteria) this;
        }

        public Criteria andPzTextIsNotNull() {
            addCriterion("pz_text is not null");
            return (Criteria) this;
        }

        public Criteria andPzTextEqualTo(String value) {
            addCriterion("pz_text =", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextNotEqualTo(String value) {
            addCriterion("pz_text <>", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextGreaterThan(String value) {
            addCriterion("pz_text >", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextGreaterThanOrEqualTo(String value) {
            addCriterion("pz_text >=", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextLessThan(String value) {
            addCriterion("pz_text <", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextLessThanOrEqualTo(String value) {
            addCriterion("pz_text <=", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextLike(String value) {
            addCriterion("pz_text like", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextNotLike(String value) {
            addCriterion("pz_text not like", value, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextIn(List<String> values) {
            addCriterion("pz_text in", values, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextNotIn(List<String> values) {
            addCriterion("pz_text not in", values, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextBetween(String value1, String value2) {
            addCriterion("pz_text between", value1, value2, "pzText");
            return (Criteria) this;
        }

        public Criteria andPzTextNotBetween(String value1, String value2) {
            addCriterion("pz_text not between", value1, value2, "pzText");
            return (Criteria) this;
        }

        public Criteria andWgcodeIsNull() {
            addCriterion("wgCode is null");
            return (Criteria) this;
        }

        public Criteria andWgcodeIsNotNull() {
            addCriterion("wgCode is not null");
            return (Criteria) this;
        }

        public Criteria andWgcodeEqualTo(String value) {
            addCriterion("wgCode =", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeNotEqualTo(String value) {
            addCriterion("wgCode <>", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeGreaterThan(String value) {
            addCriterion("wgCode >", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeGreaterThanOrEqualTo(String value) {
            addCriterion("wgCode >=", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeLessThan(String value) {
            addCriterion("wgCode <", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeLessThanOrEqualTo(String value) {
            addCriterion("wgCode <=", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeLike(String value) {
            addCriterion("wgCode like", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeNotLike(String value) {
            addCriterion("wgCode not like", value, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeIn(List<String> values) {
            addCriterion("wgCode in", values, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeNotIn(List<String> values) {
            addCriterion("wgCode not in", values, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeBetween(String value1, String value2) {
            addCriterion("wgCode between", value1, value2, "wgcode");
            return (Criteria) this;
        }

        public Criteria andWgcodeNotBetween(String value1, String value2) {
            addCriterion("wgCode not between", value1, value2, "wgcode");
            return (Criteria) this;
        }

        public Criteria andYl1IsNull() {
            addCriterion("yl1 is null");
            return (Criteria) this;
        }

        public Criteria andYl1IsNotNull() {
            addCriterion("yl1 is not null");
            return (Criteria) this;
        }

        public Criteria andYl1EqualTo(String value) {
            addCriterion("yl1 =", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1NotEqualTo(String value) {
            addCriterion("yl1 <>", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1GreaterThan(String value) {
            addCriterion("yl1 >", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1GreaterThanOrEqualTo(String value) {
            addCriterion("yl1 >=", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1LessThan(String value) {
            addCriterion("yl1 <", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1LessThanOrEqualTo(String value) {
            addCriterion("yl1 <=", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1Like(String value) {
            addCriterion("yl1 like", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1NotLike(String value) {
            addCriterion("yl1 not like", value, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1In(List<String> values) {
            addCriterion("yl1 in", values, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1NotIn(List<String> values) {
            addCriterion("yl1 not in", values, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1Between(String value1, String value2) {
            addCriterion("yl1 between", value1, value2, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl1NotBetween(String value1, String value2) {
            addCriterion("yl1 not between", value1, value2, "yl1");
            return (Criteria) this;
        }

        public Criteria andYl2IsNull() {
            addCriterion("yl2 is null");
            return (Criteria) this;
        }

        public Criteria andYl2IsNotNull() {
            addCriterion("yl2 is not null");
            return (Criteria) this;
        }

        public Criteria andYl2EqualTo(String value) {
            addCriterion("yl2 =", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2NotEqualTo(String value) {
            addCriterion("yl2 <>", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2GreaterThan(String value) {
            addCriterion("yl2 >", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2GreaterThanOrEqualTo(String value) {
            addCriterion("yl2 >=", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2LessThan(String value) {
            addCriterion("yl2 <", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2LessThanOrEqualTo(String value) {
            addCriterion("yl2 <=", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2Like(String value) {
            addCriterion("yl2 like", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2NotLike(String value) {
            addCriterion("yl2 not like", value, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2In(List<String> values) {
            addCriterion("yl2 in", values, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2NotIn(List<String> values) {
            addCriterion("yl2 not in", values, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2Between(String value1, String value2) {
            addCriterion("yl2 between", value1, value2, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl2NotBetween(String value1, String value2) {
            addCriterion("yl2 not between", value1, value2, "yl2");
            return (Criteria) this;
        }

        public Criteria andYl3IsNull() {
            addCriterion("yl3 is null");
            return (Criteria) this;
        }

        public Criteria andYl3IsNotNull() {
            addCriterion("yl3 is not null");
            return (Criteria) this;
        }

        public Criteria andYl3EqualTo(String value) {
            addCriterion("yl3 =", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3NotEqualTo(String value) {
            addCriterion("yl3 <>", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3GreaterThan(String value) {
            addCriterion("yl3 >", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3GreaterThanOrEqualTo(String value) {
            addCriterion("yl3 >=", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3LessThan(String value) {
            addCriterion("yl3 <", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3LessThanOrEqualTo(String value) {
            addCriterion("yl3 <=", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3Like(String value) {
            addCriterion("yl3 like", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3NotLike(String value) {
            addCriterion("yl3 not like", value, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3In(List<String> values) {
            addCriterion("yl3 in", values, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3NotIn(List<String> values) {
            addCriterion("yl3 not in", values, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3Between(String value1, String value2) {
            addCriterion("yl3 between", value1, value2, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl3NotBetween(String value1, String value2) {
            addCriterion("yl3 not between", value1, value2, "yl3");
            return (Criteria) this;
        }

        public Criteria andYl4IsNull() {
            addCriterion("yl4 is null");
            return (Criteria) this;
        }

        public Criteria andYl4IsNotNull() {
            addCriterion("yl4 is not null");
            return (Criteria) this;
        }

        public Criteria andYl4EqualTo(String value) {
            addCriterion("yl4 =", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4NotEqualTo(String value) {
            addCriterion("yl4 <>", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4GreaterThan(String value) {
            addCriterion("yl4 >", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4GreaterThanOrEqualTo(String value) {
            addCriterion("yl4 >=", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4LessThan(String value) {
            addCriterion("yl4 <", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4LessThanOrEqualTo(String value) {
            addCriterion("yl4 <=", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4Like(String value) {
            addCriterion("yl4 like", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4NotLike(String value) {
            addCriterion("yl4 not like", value, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4In(List<String> values) {
            addCriterion("yl4 in", values, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4NotIn(List<String> values) {
            addCriterion("yl4 not in", values, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4Between(String value1, String value2) {
            addCriterion("yl4 between", value1, value2, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl4NotBetween(String value1, String value2) {
            addCriterion("yl4 not between", value1, value2, "yl4");
            return (Criteria) this;
        }

        public Criteria andYl5IsNull() {
            addCriterion("yl5 is null");
            return (Criteria) this;
        }

        public Criteria andYl5IsNotNull() {
            addCriterion("yl5 is not null");
            return (Criteria) this;
        }

        public Criteria andYl5EqualTo(String value) {
            addCriterion("yl5 =", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5NotEqualTo(String value) {
            addCriterion("yl5 <>", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5GreaterThan(String value) {
            addCriterion("yl5 >", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5GreaterThanOrEqualTo(String value) {
            addCriterion("yl5 >=", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5LessThan(String value) {
            addCriterion("yl5 <", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5LessThanOrEqualTo(String value) {
            addCriterion("yl5 <=", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5Like(String value) {
            addCriterion("yl5 like", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5NotLike(String value) {
            addCriterion("yl5 not like", value, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5In(List<String> values) {
            addCriterion("yl5 in", values, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5NotIn(List<String> values) {
            addCriterion("yl5 not in", values, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5Between(String value1, String value2) {
            addCriterion("yl5 between", value1, value2, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl5NotBetween(String value1, String value2) {
            addCriterion("yl5 not between", value1, value2, "yl5");
            return (Criteria) this;
        }

        public Criteria andYl6IsNull() {
            addCriterion("yl6 is null");
            return (Criteria) this;
        }

        public Criteria andYl6IsNotNull() {
            addCriterion("yl6 is not null");
            return (Criteria) this;
        }

        public Criteria andYl6EqualTo(String value) {
            addCriterion("yl6 =", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6NotEqualTo(String value) {
            addCriterion("yl6 <>", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6GreaterThan(String value) {
            addCriterion("yl6 >", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6GreaterThanOrEqualTo(String value) {
            addCriterion("yl6 >=", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6LessThan(String value) {
            addCriterion("yl6 <", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6LessThanOrEqualTo(String value) {
            addCriterion("yl6 <=", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6Like(String value) {
            addCriterion("yl6 like", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6NotLike(String value) {
            addCriterion("yl6 not like", value, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6In(List<String> values) {
            addCriterion("yl6 in", values, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6NotIn(List<String> values) {
            addCriterion("yl6 not in", values, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6Between(String value1, String value2) {
            addCriterion("yl6 between", value1, value2, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl6NotBetween(String value1, String value2) {
            addCriterion("yl6 not between", value1, value2, "yl6");
            return (Criteria) this;
        }

        public Criteria andYl7IsNull() {
            addCriterion("yl7 is null");
            return (Criteria) this;
        }

        public Criteria andYl7IsNotNull() {
            addCriterion("yl7 is not null");
            return (Criteria) this;
        }

        public Criteria andYl7EqualTo(String value) {
            addCriterion("yl7 =", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7NotEqualTo(String value) {
            addCriterion("yl7 <>", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7GreaterThan(String value) {
            addCriterion("yl7 >", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7GreaterThanOrEqualTo(String value) {
            addCriterion("yl7 >=", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7LessThan(String value) {
            addCriterion("yl7 <", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7LessThanOrEqualTo(String value) {
            addCriterion("yl7 <=", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7Like(String value) {
            addCriterion("yl7 like", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7NotLike(String value) {
            addCriterion("yl7 not like", value, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7In(List<String> values) {
            addCriterion("yl7 in", values, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7NotIn(List<String> values) {
            addCriterion("yl7 not in", values, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7Between(String value1, String value2) {
            addCriterion("yl7 between", value1, value2, "yl7");
            return (Criteria) this;
        }

        public Criteria andYl7NotBetween(String value1, String value2) {
            addCriterion("yl7 not between", value1, value2, "yl7");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}